package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesContainerSn;

/**
 * @Description : 容器条码-业务方法
 * @Reference :
 * @Author : logic
 * @CreateDate : 2025/6/16 10:43
 * @Modify:
 **/
public interface IMesContainerSnService {

    ListPager<MesContainerSn> queryMesContainerSnByPager(MesContainerSn mesContainerSn, Pager pager);

    void checkContainerSnIsExist(String containerSn, String organizeCode);

    MesContainerSn getContainerSn(String organizeCode, String containerSn);

    MesContainerSn checkContainerSn(String organizeCode, String containerSn);

}
